# $Revision: 1.15 $, $Date: 2012/01/13 13:13:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Symbolic
Summary:	Math::Symbolic - symbolic calculations
Summary(pl.UTF-8):	Math::Symbolic - obliczenia symboliczne
Name:		perl-Math-Symbolic
Version:	0.606
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6272de6bfc780ec1476e08d209816dcf
%if %{with tests}
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Memoize) >= 1.01
BuildRequires:	perl-Parse-RecDescent >= 1.94
BuildRequires:	perl-Pod-Coverage >= 0.11
BuildRequires:	perl(Test::More)
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Symbolic is intended to offer symbolic calculation capabilities
to the Perl programmer without using external (and commercial)
libraries and/or applications.

There are several ways to construct Math::Symbolic trees. There are no
actual Math::Symbolic objects, but rather trees of objects of
subclasses of Math::Symbolic. The most general but unfortunately also
the least intuitive way of constructing trees is to use the
constructors of the Math::Symbolic::Operator,
Math::Symbolic::Variable, and Math::Symbolic::Constant classes to
create (nested) objects of the corresponding types.

Furthermore, you may use the overloaded interface to apply the
standard Perl operators (and functions) to existing Math::Symbolic
trees and standard Perl expressions.

Possibly the most convenient way of constructing Math::Symbolic trees
is using the builtin parser to generate trees from expressions such as
'2 * x^5'. You may use the Math::Symbolic->parse_from_string() class
method for this.

Of course, you may combine the overloaded interface with the parser to
generate trees with Perl code such as "$term * 5 * 'sin(omega*t+phi)'"
which will create a tree of the existing tree $term times 5 times the
sine of the vars omega times t plus phi.

%description -l pl.UTF-8
Pakiet Math::Symbolic oferuje programistom perlowym możliwość obliczeń
symbolicznych bez używania zewnętrznych (i komercyjnych) bibliotek
i/lub aplikacji.

Drzewa Math::Symbolic można tworzyć na kilka sposobów. Nie ma
właściwych obiektów Math::Symbolic, zamiast nich używa się podklas
Math::Symbolic. Najbardziej ogólnym, ale niestety najmniej intuicyjnym
sposobem tworzenia drzew jest użycie konstruktorów klas
Math::Symbolic::Operator, Math::Symbolic::Variable i
Math::Symbolic::Constant do tworzenia (zagnieżdżonych) obiektów
odpowiednich typów.

Poza tym można używać interfejsu przeciążania, aby używać
standardowych operatorów (i funkcji) Perla na istniejących drzewach
Math::Symbolic i standardowych wyrażeniach perlowych.

Prawdopodobnie najwygodniejszym sposobem tworzenia drzew
Math::Symbolic jest używanie wbudowanego parsera do generowania drzew
z wyrażeń takich jak '2 * x^5'. Można do tego użyć metody klasy
Math::Symbolic->parse_from_string().

Oczywiście można łączyć interfejs przeciążania z parserem przy
generowaniu drzew w kodzie perlowym - na przykład
"$term * 5 * 'sin(omega*t+fi)'" stworzy drzewo z istniejącego
drzewa $term pomnożonego przez 5 razy sinus omega razy t plus fi.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Math/Symbolic.pm
%{perl_vendorlib}/Math/Symbolic
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Symbolic.spec,v $
Revision 1.15  2012/01/13 13:13:55  zbyniu
- up to 0.606

Revision 1.14  2009/08/26 11:38:24  amateja
- updated to 0.603

Revision 1.13  2008/07/27 22:43:30  arekm
- release 2

Revision 1.12  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.10  2004/12/01 17:55:17  radek
- autoupdated to 0.134

Revision 1.9  2004/11/03 22:30:35  paladine
- formatting

Revision 1.8  2004/10/24 15:53:16  paladine
- spelling fixes, uppercases, etc.

Revision 1.7  2004/05/23 23:36:50  adamg
- updated to 0.133

Revision 1.6  2004/05/06 18:43:19  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/23 07:50:19  ankry
- license fixes, unification

Revision 1.4  2004/04/13 11:33:19  adamg
- updated to 0.132

Revision 1.3  2004/04/04 19:36:41  adamg
- updated to 0.131

Revision 1.2  2004/01/06 21:53:40  migo
- up to 0.126, more strict BR's

Revision 1.1  2003/10/25 00:47:40  qboosh
- new

